跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth
/
tokens
Wallet - Net Worth By Tokens
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth/tokens \
  --header 'Authorization: Bearer <token>'
{
  "currentTimestamp": "2025-10-30T03:33:40.980Z",
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "isActive": true,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "accuAmount": "<string>",
      "avgCostUsd": "<string>",
      "lastActiveAt": 123,
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp",
      "realizedPnlInUsd": "<string>",
      "unrealizedPnlInUsd": "<string>",
      "walletTokenTags": [
        "<string>"
      ]
    }
  ],
  "totalValueInNative": "82.31",
  "totalValueInUsd": "12345.67",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

An address of a wallet

查询参数

tokenAddresses
string
必填

A list of token addresses in string separated by commas (,). Maximum 100 token addresses allowed

响应

200 - application/json

Successful response

Wallet net-worth by tokens result (mirrors TS WalletNetWorthByTokensResult).

currentTimestamp
string
必填

Current server timestamp

示例:

"2025-10-30T03:33:40.980Z"

data
object[]
必填

List of token net-worth items

totalValueInNative
string
必填

Total portfolio value in native token

示例:

"82.31"

totalValueInUsd
string
必填

Total portfolio value in USD

示例:

"12345.67"

walletAddress
string
必填

Wallet address

示例:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"